import { ErrorCodeEnum } from '@/common/enum/ErrorCodeEnum';
import { BaseError } from './BaseError';

/**
 * 资源未找到
 */
export class ServerError extends BaseError {
  protected getErrorCode() {
    return ErrorCodeEnum.SERVER_ERROR;
  }

  static default(message?: string) {
    return new ServerError(message ?? 'SERVER ERROR');
  }
}
