import { ErrorCodeEnum } from '@/common/enum/ErrorCodeEnum';
import { BaseError } from '../BaseError';

/**
 * 尚未登录
 */
export class UnauthorizedError extends BaseError {
  protected getErrorCode() {
    return ErrorCodeEnum.UNAUTHORIZED;
  }

  static default(message?: string) {
    return new UnauthorizedError(message ?? 'Unauthorized');
  }
}
