import { env } from './env';

export interface DeeplConfig {
  endpoint: string;
  secret: string;
}

export const deepl: DeeplConfig = {
  endpoint: env.DEEPL_ENDPOINT ?? 'https://api-free.deepl.com',
  secret: env.DEEPL_SECRET ?? '',
};
