import { Expose } from 'class-transformer';
import { UserBaseDto } from '../userBase.dto';
import { ApiProperty } from '@nestjs/swagger';

export class LoginResDto extends UserBaseDto {
  @ApiProperty({
    description: '用户的登录令牌',
    type: 'string',
    example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...',
  })
  @Expose()
  token: string;
}
