import { ErrorCodeEnum } from '@/common/enum/ErrorCodeEnum';
import { BaseError } from '../BaseError';

/**
 * 错误请求
 */
export class BadRequestError extends BaseError {
  protected getErrorCode() {
    return ErrorCodeEnum.BAD_REQUEST;
  }

  static default(message?: string) {
    return new BadRequestError(message ?? 'BAD REQUEST');
  }
}
