import { BaseError } from '@/common/exception/BaseError';
import { ErrorCodeEnum } from '@/common/enum/ErrorCodeEnum';
/**
 * 没有权限
 */
export class ForbiddenError extends BaseError {
  protected getErrorCode() {
    return ErrorCodeEnum.FORBIDDEN;
  }

  static default(message?: string) {
    return new ForbiddenError(message ?? 'Not Permission');
  }
}
