import { ApiProperty } from '@nestjs/swagger';
import { Expose } from 'class-transformer';
import { IsNotEmpty, IsString } from 'class-validator';

export class TranslateProgressReqDto {
  @ApiProperty({
    description: '任务ID',
    type: String,
    example: 123456,
  })
  @Expose()
  @IsNotEmpty()
  @IsString()
  taskId: string;
}
