import { ApiProperty } from '@nestjs/swagger';
import { Expose } from 'class-transformer';

export class TranslateResDto {
  @ApiProperty({
    description: '要翻译的文本',
    type: 'string',
    example: '要翻译的文本',
  })
  @Expose()
  text: string;

  @ApiProperty({
    description: '源语言',
    type: 'string',
    example: 'EN',
  })
  @Expose()
  source: string;
}
