import { Entity, PrimaryGeneratedColumn, Column } from 'typeorm';

@Entity('userinfo')
export class UserInfoEntity {
  @PrimaryGeneratedColumn()
  id: number;

  @Column({
    nullable: true,
    name: 'nickname',
    comment: '昵称',
  })
  nickname: string;

  @Column({
    nullable: true,
    name: 'sex',
    comment: '性别',
  })
  birth: string;

  @Column({
    nullable: true,
    name: 'headImgUrl',
    comment: '头像',
  })
  headImgUrl: string;

  @Column({
    nullable: true,
    name: 'age',
    comment: '年龄',
  })
  age: number;

  @Column({
    nullable: true,
    name: 'username',
    comment: '用户名',
  })
  username: string;
}
